About DSi and 1.4i flashcarts disponibility

Discussion in 'NDS - Flashcarts and Accessories' started by Helone-kun, Dec 18, 2009.

  1. Helone-kun
    OP

    Helone-kun Newbie

    Newcomer
    1
    0
    Dec 18, 2009
    Brazil
    Hello ladies, hello guys.

    Well I bought my black DSi some time ago, with a R4i Upgrade Revolution for DS (NDSi/NDSL/NDS)
    This one:
    Warning: Spoilers inside!

    So, I was happy with It and used to play alot.. until the day I updated my DSi to 1.4U.
    So, my card is useless trash.

    So, I came here and I would like, please,

    1. A "list" of all avaliable flashcards that work with the 1.4U, with no need of an upgrade (like, I buy and it's ready).
    2. Which one (s) is (are) most recomended? Any comes with that firmware updater?
    3. Where could I buy those? (probably a website, since I'm in Brazil, unless someone knows where to buy here)
    4. Is this one on the pic compatible and safe/secure?
    Warning: Spoilers inside!

    So, I'd appreciate alot if someone could answer me, thanks in advance!
     
  2. jceggbert5

    jceggbert5 Check out my hack, New Retro Mario Bros.

    Member
    989
    1
    Dec 1, 2008
    United States
    USA, Earth, MilkyWay
  3. BoxShot

    BoxShot Chiyo-chan :3

    Member
    3,447
    3
    Dec 18, 2008
    United States
    Middle of the ocean.
    1) Ez Flash Vi is possibly the only cart that comes on 1.4 that is not a R4 clone.
    Carts like the M3i0 and SCDS1i have usb flashers so you don't need to worry if it isn't already 1.4 compatible.
    The Acekard 2i come without the 1.4 bypass but some places can flash it for you. Such as gamebygame (costs $2) and apparently some people say realhotstuff preflashes them for you for free. So depends where you buy it.
    There is also the iEDGE which I have no idea if it is even available but updates via turning on the ds and using its power to flash itself I believe.
    2) Well do you want to worry about accidently updating your firmware? If yes M3i0 or SCDS1i. If no Ez Flash Vi or Acekard. They all have the ability to flash themselves in one way or another to bypass firmware updates.
    3) Dealextreme.com works but slow. You can try 4coolday.com or 0shippingzone.com too. All are from China but they ship to everywhere anyways.
    4) The one in a picture is an Ez Flash Vi and it is safe/secure.
     
  4. hawkeyenick

    hawkeyenick Member

    Newcomer
    22
    0
    Dec 9, 2009
    United States

    Yea, dealextreme.com keeps no inventory maintenance whatsoever. They are reliable, but can take months and are known for mixing orders up. I use them for a cheapo card or rare things (like the acekard rpg), but that's about it.

    0shippingzone is your best bet out of China. They are fast and accurate. They even switched to china post instead of hong kong post for the christmas season because of the backlog the hong kong post is dealing with.
     
  5. zhuzhuchina

    zhuzhuchina GBAtemp Advanced Fan

    Member
    537
    12
    Mar 17, 2008
    Switzerland
    Shanghai
    you can just buy the same card with new firmware that is compatible with 1.4 firmware
    dstti-adv is better to avoid really
     
  6. dusty1971

    dusty1971 Newbie

    Newcomer
    2
    0
    Dec 21, 2009
    Afghanistan
    How can you find out what firmware my DSI came with..... 1.4 ???. Bougth it last week and i'm looking for a flash cart but i want to make sure i get one that i can use.